rex(1)

NAME
rex - remote execution

SYNOPSIS
rex [-TAXpv] [-R port:lport] destination [command]

DESCRIPTION
rex is a remote execution facility which is integrated with SFS. The program allows users run to run programs on a remote machine or obtain a shell. Like SFS file systems, remote execution servers can be named by self-certifying path names.

The usage is as follows:

rex [-TAXpv] [-R port:lport] destination [command]

destination is one of the following:

•   a self-certifying hostname (location:hostid)

•   a self-certifying pathname (/sfs/... or /symlink-to-sfs/...)

•   any identifier which when processed through certification programs will yield a self-certifying pathname

OPTIONS

-T  Disable pseudo-tty allocation.

-A  Disable SFS agent forwarding. By default, if there is no sfsagent running on the remote machine, rex will forward agent requests back the sfsagent running on the local machine (e.g., when a user accesses an SFS file system or runs sfskey).

-X  Disable X forwarding. By default, the rex client will set up a dummy X server which receives connections from clients on the remote machine. These connections are forwarded over the encrypted rex channel to the local X server. rex sets the DISPLAY environment variable appropriately on the remote side. Furthermore, X connections are authenticated using a `spoofed' MIT-MAGIC-COOKIE-1.

-p  Force rex to connect to the destination even if it cannot be resolved into a valid self-certifying path name.

-v  Verbose mode.

-R port:lport
    Forward TCP connections made to port on the remote host to lport on the local machine.

The rex command supports the escape sequences listed below. Rex only recognizes the escape character `~' after a newline.

•   . terminate connection

•   ^Z suspend connection

•   ? help message

•   ~ send the escape character

SEE ALSO
dirsearch(1), newaid(1), sfsagent(1), sfskey(1), ssu(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfscd(8), sfsrwsd(8), sfssd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

AUTHOR
sfsdev@redlab.lcs.mit.edu